=== debian/changelog ===
indi-fishcamp (1.1-2) unstable; urgency=medium

  * depends on non-free, so manually build for all architectures
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: move to debian-astro team
  * debian/control: add VCS-*

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Sep 2024 17:42:00 +0200

indi-fishcamp (1.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 09:42:00 +0000
