=== debian/control ===
Source: indi-fishcamp
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libfishcamp-dev
	, libcfitsio-dev
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-fishcamp
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-fishcamp.git

Package: indi-fishcamp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Fishcamp Engineering CCD
 This package contains an INDI driver for CCD cameras made
 by Fishcamp Engineering.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
